Formigros QUAL

Get Form by Alias

This will retrieve a form by providing its path alias.

get
https://api-qual.migros.ch/migros/forms/v1/pre/{formPath}

Path Parameters

formPathstringrequired

Form Alias

Example:AmazingContactForm

Response

200

Get Form by Alias

get/migros/forms/v1/pre/{formPath}
 
200

Get Form by Alias

This will retrieve a form by providing its path alias.

get
https://api-qual.migros.ch/migros/forms/v1/{formPath}

Path Parameters

formPathstringrequired

Form Alias

Example:AmazingContactForm

Response

200 application/json

Get Form by Alias

_idstring

Example:5fc7c25a2a992abe68b247b4

_vidnumber

Example:0

accessarray[object]

Example:[{"roles":["5fc7befe2a992abe68b24766","5fc7befe2a992abe68b24767","5fc7befe2a992abe68b24768"],"type":"read_all"}]

Show Child Parameters
componentsarray[object]
Show Child Parameters
createdstring

Example:2020-12-02T16:35:38.683Z

displaystring

Example:form

machineNamestring

Example:proj366:synthesize

modifiedstring

Example:2020-12-02T16:35:38.687Z

namestring

Example:synthesize

ownerstring

Example:5fc7beeb2a992abe68b2475c

pathstring

Example:iterate

projectstring

Example:5fc7befe2a992abe68b24765

revisionsstring

Example:[ "" ]

submissionAccessarray

Example:[]

tagsarray

Example:[]

titlestring

Example:navigating

typestring

Example:form

get/migros/forms/v1/{formPath}
 
200 application/json

Delete File from Azure Storage

Deletes a file from the configured Azure storage provider.

delete
https://api-qual.migros.ch/migros/forms/v1/integration/{formPath}/storage/azure

Query Parameters

namestringrequired

File name

Example:tmp-6ffe3dac-57e5-459e-8dc7-fd96266b3d8b.pdf

keystringrequired

Storage key

Example:tmp-6ffe3dac-57e5-459e-8dc7-fd96266b3d8b.pdf

Path Parameters

formPathstringrequired

Form Alias

Example:AmazingContactForm

Response

204

File deleted

delete/migros/forms/v1/integration/{formPath}/storage/azure
 
204

Get Azure Storage Files

This will retrieve the files stored in the configured Azure storage provider.

get
https://api-qual.migros.ch/migros/forms/v1/integration/{formPath}/storage/azure

Path Parameters

formPathstringrequired

Form Alias

Example:AmazingContactForm

Headers

x-jwt-tokenstring

Example:{{token}}

Response

200 application/json

Get Azure Storage Files

object
get/migros/forms/v1/integration/{formPath}/storage/azure
 
200 application/json

Upload File to Azure Storage

Uploads a file through Form.io to the configured Azure storage provider.

post
https://api-qual.migros.ch/migros/forms/v1/integration/{formPath}/storage/azure

Path Parameters

formPathstringrequired

Form Alias

Example:AmazingContactForm

Body

application/json
groupIdstring | null

Optional group id

Example:null

groupPermissionsstring | null

Optional group permissions identifier

Example:null

namestringrequired

File name

Example:tmp-6ffe3dac-57e5-459e-8dc7-fd96266b3d8b.pdf

sizeintegerrequired

File size in bytes

Example:12

typestringrequired

MIME type

Example:application/pdf

Response

200

File uploaded

post/migros/forms/v1/integration/{formPath}/storage/azure

Body

{ "groupId": null, "groupPermissions": null, "name": "tmp-6ffe3dac-57e5-459e-8dc7-fd96266b3d8b.pdf", "size": 12, "type": "application/pdf" }
 
200